"""Remove all particle systems from the body object.
ALSO REMOVES EYEBROWS AND EYELASHES.
"""

import bpy
from HumGen3D import Human


def main(context: bpy.types.Context, human: Human):
    """Remove all particle systems from the body object.

    Args:
        context (bpy.types.Context): Blender context.
        human (Human): Instance of a single human. Script will be run for each human.
    """
    for mod in human.hair.modifiers:
        human.objects.body.modifiers.remove(mod)
